%define upstream_name    Catalyst-Authentication-Store-DBI
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    User object representing a
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Model::DBI)
BuildRequires: perl(Catalyst::Plugin::Authentication)
BuildArch: noarch


%description
This module implements the the Catalyst::Authentication manpage API using
the Catalyst::Model::DBI manpage.

It uses DBI to let your application authenticate users against a database
and it provides support for the Catalyst::Plugin::Authorization::Roles
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.10.0-12.mga10
+ Revision: 2197732
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.10.0-11.mga9
+ Revision: 1802155
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-10.mga8
+ Revision: 1493006
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-9.mga7
+ Revision: 1265942
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.10.0-8.mga6
+ Revision: 1022846
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-7.mga6
+ Revision: 949501
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 789990
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 739528
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 683757
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 509750
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 363855
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 41236
- mageia rebuild
- imported package perl-Catalyst-Authentication-Store-DBI


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 408922
- rebuild using %%perl_convert_version

* Sun Jul 19 2009 Buchan Milne <bgmilne@mandriva.org> 0.01-1mdv2010.0
+ Revision: 397949
- import perl-Catalyst-Authentication-Store-DBI


* Sun Jul 19 2009 cpan2dist 0.01-1mdv
- initial mdv release, generated with cpan2dist

